Bug 7269 - Job management commands don't work for CUPS queues
Job management commands don't work for CUPS queues
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Printing
3.5.0
All Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-21 07:06 UTC by Michael Karcher
Modified: 2010-03-25 03:12 UTC (History)
2 users (show)

See Also:


Attachments
store job-id of submitted cups jobs (1.40 KB, patch)
2010-03-21 07:08 UTC, Michael Karcher
no flags Details
git am fix for 3.5.x, 3.4.x. (1.94 KB, patch)
2010-03-24 19:43 UTC, Jeremy Allison
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Karcher 2010-03-21 07:06:44 UTC
Printing a job and cancelling it again using e.g. smbclient removes the job from the samba-internal .tdb for the printer, but not from the CUPS queue. This happens because the sysjob of CUPS jobs is never set, and thus the job can not be managed. The submit function for a printing system doesn't get a valid sysjob (from where?), but has to set it.
Comment 1 Michael Karcher 2010-03-21 07:08:05 UTC
Created attachment 5517 [details]
store job-id of submitted cups jobs
Comment 2 Jeremy Allison 2010-03-24 16:56:05 UTC
This looks perfectly correct to me.
Jeremy.
Comment 3 Jeremy Allison 2010-03-24 19:43:26 UTC
Created attachment 5537 [details]
git am fix for 3.5.x, 3.4.x.

Applies cleanly to 3.5.x and 3.4.x. Guenther, please review.
Jeremy.
Comment 4 Guenther Deschner 2010-03-24 20:46:57 UTC
Jeremy, just as a reminder: the job management commands don't work for all non-cups backends still. See source4/torture/rpc/spoolss.c line 2701
Comment 5 Guenther Deschner 2010-03-24 20:47:40 UTC
Comment on attachment 5537 [details]
git am fix for 3.5.x, 3.4.x.

yep, looks fine.
Comment 6 Guenther Deschner 2010-03-24 20:48:08 UTC
Karolin, please to 3.5 and 3.4
Comment 7 Karolin Seeger 2010-03-25 03:12:44 UTC
Pushed to v3-5-test and v3-4-test.
Closing out bug report.

Thanks!